Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class SetRepositoryParameterAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.upgrade.common.SetRepositoryParameterAction

All Implemented Interfaces:
  Action, IfsParameters

    public class SetRepositoryParameterAction

extends JDBCAction

Sets a repository parameter specified in the action.

Field Summary

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`SetRepositoryParameterAction()`

Method Summary
`void` | `execute(java.sql.Connection conn)` Executes JDBC statements.
`void` | `failed(java.lang.Throwable error)` Invoked if this Action has failed.
`void` | `stop()` Stops this Action.

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetRepositoryParameterAction

    public SetRepositoryParameterAction()

Method Detail

### execute

    public void execute(java.sql.Connection conn)
                 throws java.sql.SQLException,
                        ActionFailedException

  Description copied from class: `SetRepositoryParameterAction`
  Executes JDBC statements.
  Note: Subclasses should provide an implementation for this method.
  The Connection does not need to be closed by this method; the calling method will close it. However, any Statement or ResultSet objects that are opened should be closed explicitly.

  Specified by:
    `execute` in class `JDBCAction`
  Parameters:
    `conn` - the Connection to the database.
  Throws:
    `java.sql.SQLException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `SetRepositoryParameterAction`
  Invoked if this Action has failed. If an exception is caught by the ActionQueue that is executing this Action, this method will be invoked. If necessary, this method should roll back or otherwise reverse the tasks or operations that the `perform` method has executed.

  Parameters:
    `error` - the error that occurred.

### stop

    public void stop()

  Description copied from class: `SetRepositoryParameterAction`
  Stops this Action. Invoking this method should ensure that the call to `perform` will return as soon as possible. This method should do nothing if this Action has already been stopped.

  This method will probably be invoked from within the Thread that created the ActionQueue that this Action is being executed in, rather than from within the Thread that is invoking the `perform` method (the ActionQueue's Action processing Thread). Because of this, clients implementing this interface should provide a way of canceling what is happening in the `perform` method when this `stop` method is invoked.

  Note: this is especially important when the `perform` method executes a tight loop or creates new Threads.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD